#include<stdio.h>
#include<string.h>

int main()
{
	char t[200000];
	char s[10];
	gets(t);
	gets(s);
	
	int min, j = 0, k = 0, ind;
	for (int i = 0; i < strlen(t); i++)
	{
		if (t[i] == s[j])
			k++;
		if (t[i] == s[j + 1])
		{
			if (j == 0 || k < min)
			{
				min = k;
				ind = j;
			}
			k = 1;
			j++;
		}
	}	
	
	for (int i = 0; i < strlen(t); i++)
		if (t[i] == s[ind])
			t[i] = '*';
	printf("%d\n", min);
	puts(t);
	
	return 0;
}